Npm warn deprecated superagent@4.1.0

Getting following error while installing ionic with “npm install -g ionic” on windows 7 64 bit machine

npm WARN deprecated superagent@4.1.0: Please note that v5.0.1+ of superagent rem
oves User-Agent header by default, therefore you may need to add it yourself (e.
g. GitHub blocks requests without a User-Agent header). This notice will go awa
y with v5.0.2+ once it is released.
npm ERR! Unexpected end of JSON input while parsing near ‘…:"82ef7ffcd80039d1f
1f’

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users\tm\AppData\Roaming\npm-cache_logs\2019-07-27T15_21_42_424
Z-debug.log

1 Like

me too facing the same error…someone kindly help us to resolve it

I have the same issue.